/* 
 * %Z%%W% %I%
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * IBM Java(tm)2 SDK, Standard Edition, v 1.4 
 *
 * (C) Copyright IBM Corp. 1998 , 2002. All Rights Reserved
 * (C) Copyright Sun Microsystems Inc. 1997 , 2002. All Rights Reserved
 * ===========================================================================
 */


package com.sun.tools.example.debug.gui;

import javax.swing.*;
import javax.swing.tree.*;

public class SingleLeafTreeSelectionModel extends DefaultTreeSelectionModel {

    SingleLeafTreeSelectionModel() {
	super();
	selectionMode = SINGLE_TREE_SELECTION;
    }

    public void setSelectionPath(TreePath path) {
	if(((TreeNode)(path.getLastPathComponent())).isLeaf()) {
	    super.setSelectionPath(path);
	}
    }

    public void setSelectionPaths(TreePath[] paths) {
	// Only look at first path, as all others will be
	// ignored anyway in single tree selection mode.
	if(((TreeNode)(paths[0].getLastPathComponent())).isLeaf()) {
	    super.setSelectionPaths(paths);
	}
    }

    public void addSelectionPath(TreePath path) {
	if(((TreeNode)(path.getLastPathComponent())).isLeaf()) {
	    super.setSelectionPath(path);
	}
    }

    public void addSelectionPaths(TreePath[] paths) {
	// Only look at first path, as all others will be
	// ignored anyway in single tree selection mode.
	if(((TreeNode)(paths[0].getLastPathComponent())).isLeaf()) {
	    super.addSelectionPaths(paths);
	}
    }
}

